Subject: Re: bug#51048: No license in crate - guix import
From: Ludovic Courtès <[email-masked]>
To: Maxime Devos <[email-masked]>
Cc: Michael Zappa <[email-masked]>, [email-masked]
Date: Thu, 07 Oct 2021 10:52:12 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

Maxime Devos <[email-masked]> skribis:

> Michael Zappa schreef op di 05-10-2021 om 18:31 [-0400]:
>> Hello all,
>> I have been playing around with the 'guix import' tools to
>> see how easily I can get some package definitions. In the process of
>> trying to package https://github.com/Spotifyd/spotifyd with 'guix import
>> crate spotifyd -r' I found that one of the nested dependencies,
>> [email-masked] did not work with the automatic importer because it
>> does not have a license in its crate
>> https://crates.io/crates/libpulse-sys/0.0.0.
>> 
>> Obviously it would be ideal to get whoever is using this out-of-date
>> library in their package to update their dependencies so this is
>> entirely avoided, but short of that has there ever been discussion on
>> how to handle 'license-less' packages? I haven't seen any in my short
>> time lurking on this list. It seems to be a rigid requirement for the
>> crate importer.
>
> I don't now if there has been a discussion,
> but other importers (at least the minetest importer) set the license
> field to #f if no license information was unavailable.
>
> Modifying <crate-version> such that 'license' is set to #f if it has 
> 'null' as value in the JSON might be sufficient I think?

Indeed.  Fixed in 1327ec822fa6dd396e979efd8d4e1f7479f1d5b3.

Thanks!

Ludo’.